# Copyright (c) 2016-2017 Anki, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License in the file LICENSE.txt or at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""
Autogenerated python message buffer code.
Source: clad/types/animationTrigger.clad
Full command line: ../tools/message-buffers/emitters/Python_emitter.py -C ./src/ -I ../robot/clad/src/ ../coretech/vision/clad/src/ ../coretech/common/clad/src/ ../lib/util/source/anki/clad -o ../generated/cladPython// clad/types/animationTrigger.clad
"""

from __future__ import absolute_import
from __future__ import print_function

def _modify_path():
  import inspect, os, sys
  search_paths = [
    '../..',
    '../../../../tools/message-buffers/support/python',
  ]
  currentpath = os.path.abspath(os.path.dirname(inspect.getfile(inspect.currentframe())))
  for search_path in search_paths:
    search_path = os.path.normpath(os.path.abspath(os.path.realpath(os.path.join(currentpath, search_path))))
    if search_path not in sys.path:
      sys.path.insert(0, search_path)
_modify_path()

import msgbuffers

Anki = msgbuffers.Namespace()
Anki.Cozmo = msgbuffers.Namespace()

class AnimationTrigger(object):
  "Automatically-generated int_32 enumeration."
  AcknowledgeFaceInitPause                = 0
  AcknowledgeFaceNamed                    = 1
  AcknowledgeFaceUnnamed                  = 2
  AcknowledgeObject                       = 3
  AskToBeRightedLeft                      = 4
  AskToBeRightedRight                     = 5
  AudioTestAnim                           = 6
  BlockReact                              = 7
  BouncerGetIn                            = 8
  BouncerGetOut                           = 9
  BouncerIdeaToPlay                       = 10
  BouncerIntoScore1                       = 11
  BouncerIntoScore2                       = 12
  BouncerIntoScore3                       = 13
  BouncerRequestToPlay                    = 14
  BouncerTimeout                          = 15
  BouncerWait                             = 16
  BuildPyramidFirstBlockOnSide            = 17
  BuildPyramidFirstBlockUpright           = 18
  BuildPyramidLookForFace                 = 19
  BuildPyramidReactToBase                 = 20
  BuildPyramidSecondBlockOnSide           = 21
  BuildPyramidSecondBlockUpright          = 22
  BuildPyramidSuccess                     = 23
  BuildPyramidThankUser                   = 24
  BuildPyramidThirdBlockOnSide            = 25
  BuildPyramidThirdBlockUpright           = 26
  CantHandleTallStack                     = 27
  PatternGuessNewIdea                     = 28
  PatternGuessThinking                    = 29
  CodeLab123Go                            = 30
  CodeLabAmazed                           = 31
  CodeLabBlink                            = 32
  CodeLabBored                            = 33
  CodeLabCat                              = 34
  CodeLabCelebrate                        = 35
  CodeLabChatty                           = 36
  CodeLabConducting                       = 37
  CodeLabCurious                          = 38
  CodeLabDancingMambo                     = 39
  CodeLabDejected                         = 40
  CodeLabDizzy                            = 41
  CodeLabDizzyEnd                         = 42
  CodeLabDog                              = 43
  CodeLabEnergyEat                        = 44
  CodeLabEnter                            = 45
  CodeLabExcited                          = 46
  CodeLabExit                             = 47
  CodeLabFireTruck                        = 48
  CodeLabFrustrated                       = 49
  CodeLabGetInPos                         = 50
  CodeLabGhoul                            = 51
  CodeLabHappy                            = 52
  CodeLabHeadsUp                          = 53
  CodeLabHelium                           = 54
  CodeLabHiccup                           = 55
  CodeLabIDK                              = 56
  CodeLabIdle                             = 57
  CodeLabLose                             = 58
  CodeLabNo                               = 59
  CodeLabPartyTime                        = 60
  CodeLabReactHappy                       = 61
  CodeLabScaredCozmo                      = 62
  CodeLabScaryCozmo                       = 63
  CodeLabSleep                            = 64
  CodeLabSneeze                           = 65
  CodeLabSquint1                          = 66
  CodeLabSquint2                          = 67
  CodeLabStaring                          = 68
  CodeLabSurprise                         = 69
  CodeLabTakaTaka                         = 70
  CodeLabTapCube                          = 71
  CodeLabThinking                         = 72
  CodeLabTwitch                           = 73
  CodeLabUnhappy                          = 74
  CodeLabVampire                          = 75
  CodeLabVictory                          = 76
  CodeLabWhee1                            = 77
  CodeLabWhee2                            = 78
  CodeLabWhee3                            = 79
  CodeLabWhee4                            = 80
  CodeLabWhew                             = 81
  CodeLabWhoa                             = 82
  CodeLabWin                              = 83
  CodeLabWondering                        = 84
  CodeLabYes                              = 85
  CodeLabYuck                             = 86
  CodeLabZombie                           = 87
  ConnectWakeUp                           = 88
  ConnectWakeUp_SevereEnergy              = 89
  ConnectWakeUp_SevereRepair              = 90
  ComeHere_AlreadyHere                    = 91
  ComeHere_SearchForFace                  = 92
  ComeHere_SearchForFace_FoundFace        = 93
  CozmoSaysGetIn                          = 94
  CozmoSaysGetOut                         = 95
  CozmoSaysSpeakGetInShort                = 96
  CozmoSaysSpeakGetInMedium               = 97
  CozmoSaysSpeakGetInLong                 = 98
  CozmoSaysSpeakGetOutShort               = 99
  CozmoSaysSpeakGetOutMedium              = 100
  CozmoSaysSpeakGetOutLong                = 101
  CozmoSaysSpeakLoop                      = 102
  CozmoSaysBadWord                        = 103
  CozmoSaysIdle                           = 104
  CubeMovedSense                          = 105
  CubeMovedUpset                          = 106
  CubePounceFake                          = 107
  CubePounceGetIn                         = 108
  CubePounceGetOut                        = 109
  CubePounceGetReady                      = 110
  CubePounceGetUnready                    = 111
  CubePounceIdleLiftDown                  = 112
  CubePounceIdleLiftUp                    = 113
  CubePounceLoseHand                      = 114
  CubePounceLoseRound                     = 115
  CubePounceLoseSession                   = 116
  CubePouncePounceClose                   = 117
  CubePouncePounceNormal                  = 118
  CubePounceWinHand                       = 119
  CubePounceWinRound                      = 120
  CubePounceWinSession                    = 121
  DanceMambo                              = 122
  DemoSpeedTapCozmoWin                    = 123
  DemoSpeedTapCozmoLose                   = 124
  DizzyReactionHard                       = 125
  DizzyReactionMedium                     = 126
  DizzyReactionSoft                       = 127
  DizzyShakeLoop                          = 128
  DizzyShakeStop                          = 129
  DizzyStillPickedUp                      = 130
  DriveEndAngry                           = 131
  DriveEndDefault                         = 132
  DriveEndHappy                           = 133
  DriveEndLaunch                          = 134
  DriveLoopAngry                          = 135
  DriveLoopDefault                        = 136
  DriveLoopHappy                          = 137
  DriveLoopLaunch                         = 138
  DriveStartAngry                         = 139
  DriveStartDefault                       = 140
  DriveStartHappy                         = 141
  DriveStartLaunch                        = 142
  DroneModeBackwardDrivingEnd             = 143
  DroneModeBackwardDrivingLoop            = 144
  DroneModeBackwardDrivingStart           = 145
  DroneModeCliffEvent                     = 146
  DroneModeForwardDrivingEnd              = 147
  DroneModeForwardDrivingLoop             = 148
  DroneModeForwardDrivingStart            = 149
  DroneModeGetIn                          = 150
  DroneModeGetOut                         = 151
  DroneModeIdle                           = 152
  DroneModeKeepAlive                      = 153
  DroneModeTurboDrivingStart              = 154
  EarnedSparks                            = 155
  FacePlantRoll                           = 156
  FacePlantRollArmUp                      = 157
  FailedToRightFromFace                   = 158
  FeedingAteFullEnough_Normal             = 159
  FeedingAteFullEnough_Severe             = 160
  FeedingAteNotFullEnough_Normal          = 161
  FeedingAteNotFullEnough_Severe          = 162
  FeedingDrivingGetIn_Severe              = 163
  FeedingDrivingGetOut_Severe             = 164
  FeedingDrivingLoop_Severe               = 165
  FeedingPlaceLiftOnCube_Normal           = 166
  FeedingPlaceLiftOnCube_Severe           = 167
  FeedingIdleSearch_Normal                = 168
  FeedingIdleSearch_Severe                = 169
  FeedingIdleSearchForFaces_Normal        = 170
  FeedingIdleSearchForFaces_Severe        = 171
  FeedingIdleWaitForFullCube_Normal       = 172
  FeedingIdleWaitForFullCube_Severe       = 173
  FeedingIdleWaitForShakeNoHead_Severe    = 174
  FeedingIdleWaitForShake_Normal          = 175
  FeedingIdleWaitForShake_Severe          = 176
  FeedingInterrupted                      = 177
  FeedingInterrupted_Severe               = 178
  FeedingSearchRequest                    = 179
  FeedingSearchRequest_Severe             = 180
  FeedingSearchFailure                    = 181
  FeedingSearchFailure_Severe             = 182
  FeedingReactToFullCube_Normal           = 183
  FeedingReactToFullCube_Severe           = 184
  FeedingReactToSeeCube_Normal            = 185
  FeedingReactToSeeCube_Severe            = 186
  FeedingReactToShake_Normal              = 187
  FeedingReactToShake_Severe              = 188
  FistBumpIdle                            = 189
  FistBumpRequestOnce                     = 190
  FistBumpRequestRetry                    = 191
  FistBumpSuccess                         = 192
  FistBumpLeftHanging                     = 193
  FlipDownFromBack                        = 194
  FrustratedByFailure                     = 195
  FrustratedByFailureMajor                = 196
  GameSetupGetIn                          = 197
  GameSetupGetOut                         = 198
  GameSetupIdle                           = 199
  GameSetupReaction                       = 200
  GoToSleepGetIn                          = 201
  GoToSleepGetOut                         = 202
  GoToSleepOff                            = 203
  GoToSleepSleeping                       = 204
  GuardDogBusted                          = 205
  GuardDogCubeDisconnect                  = 206
  GuardDogFakeout                         = 207
  GuardDogInterruption                    = 208
  GuardDogPlayerSuccess                   = 209
  GuardDogPulse                           = 210
  GuardDogSettle                          = 211
  GuardDogSleepLoop                       = 212
  GuardDogTimeout                         = 213
  GuardDogTimeoutCubesTouched             = 214
  GuardDogTimeoutCubesUntouched           = 215
  Hiccup                                  = 216
  HiccupGetIn                             = 217
  HiccupPlayerCure                        = 218
  HiccupRobotOnBack                       = 219
  HiccupRobotOnFace                       = 220
  HiccupRobotPickedUp                     = 221
  HiccupSelfCure                          = 222
  HikingDrivingEnd                        = 223
  HikingDrivingLoop                       = 224
  HikingDrivingStart                      = 225
  HikingInterestingEdgeThought            = 226
  HikingIntro                             = 227
  HikingLookAround                        = 228
  HikingObserve                           = 229
  HikingReactToEdge                       = 230
  HikingReactToNewArea                    = 231
  HikingReactToPossibleMarker             = 232
  HikingSquintEnd                         = 233
  HikingSquintLoop                        = 234
  HikingSquintStart                       = 235
  HikingWakeUpOffCharger                  = 236
  IdleOnCharger                           = 237
  InteractWithFaceTrackingIdle            = 238
  InteractWithFacesInitialNamed           = 239
  InteractWithFacesInitialUnnamed         = 240
  KnockOverEyes                           = 241
  KnockOverFailure                        = 242
  KnockOverGrabAttempt                    = 243
  KnockOverPreActionNamedFace             = 244
  KnockOverPreActionUnnamedFace           = 245
  KnockOverSuccess                        = 246
  LaserAcknowledge                        = 247
  LaserDriveEnd                           = 248
  LaserDriveLoop                          = 249
  LaserDriveStart                         = 250
  LaserFace                               = 251
  LaserGetOut                             = 252
  LaserPounce                             = 253
  LookInPlaceForFacesBodyPause            = 254
  LookInPlaceForFacesHeadMovePause        = 255
  MajorFail                               = 256
  MajorWin                                = 257
  MeetCozmoGetIn                          = 258
  MeetCozmoLookFaceGetIn                  = 259
  MeetCozmoLookFaceGetOut                 = 260
  MeetCozmoScanningIdle                   = 261
  MeetCozmoFirstEnrollmentSayName         = 262
  MeetCozmoFirstEnrollmentRepeatName      = 263
  MeetCozmoFirstEnrollmentCelebration     = 264
  MeetCozmoReEnrollmentSayName            = 265
  MeetCozmoRenameFaceSayName              = 266
  MeetCozmoLookFaceInterrupt              = 267
  MemoryMatchPlayerWinHand                = 268
  MemoryMatchPlayerWinHandLong            = 269
  MemoryMatchPlayerWinHandSolo            = 270
  MemoryMatchPlayerLoseHand               = 271
  MemoryMatchPlayerLoseHandSolo           = 272
  MemoryMatchCozmoWinHand                 = 273
  MemoryMatchCozmoLoseHand                = 274
  MemoryMatchCozmoWinGame                 = 275
  MemoryMatchPlayerWinGame                = 276
  MemoryMatchSoloGameOver                 = 277
  MemoryMatchReactToPattern               = 278
  MemoryMatchReactToPatternSolo           = 279
  MemoryMatchPointCenter                  = 280
  MemoryMatchPointLeftBig                 = 281
  MemoryMatchPointLeftSmall               = 282
  MemoryMatchPointRightBig                = 283
  MemoryMatchPointRightSmall              = 284
  MemoryMatchPointCenterFast              = 285
  MemoryMatchPointLeftBigFast             = 286
  MemoryMatchPointLeftSmallFast           = 287
  MemoryMatchPointRightBigFast            = 288
  MemoryMatchPointRightSmallFast          = 289
  MemoryMatchCozmoGetOut                  = 290
  MemoryMatchCozmoFollowTapsSoundOnly     = 291
  NamedFaceInitialGreeting                = 292
  NeedsMildLowEnergyRequest               = 293
  NeedsMildLowPlayRequest                 = 294
  NeedsMildLowRepairRequest               = 295
  NeedsSevereLowEnergyCliffReact          = 296
  NeedsSevereLowEnergyDrivingEnd          = 297
  NeedsSevereLowEnergyDrivingLoop         = 298
  NeedsSevereLowEnergyDrivingStart        = 299
  NeedsSevereLowEnergyForceGetOut         = 300
  NeedsSevereLowEnergyGetIn               = 301
  NeedsSevereLowEnergyIdle                = 302
  NeedsSevereLowEnergyRequest             = 303
  NeedsSevereLowEnergySlopeReact          = 304
  NeedsSevereLowPlayForceGetOut           = 305
  NeedsSevereLowPlayGetIn                 = 306
  NeedsSevereLowPlayRequest               = 307
  NeedsSevereLowRepairCliffReact          = 308
  NeedsSevereLowRepairDrivingEnd          = 309
  NeedsSevereLowRepairDrivingLoop         = 310
  NeedsSevereLowRepairDrivingStart        = 311
  NeedsSevereLowRepairForceGetOut         = 312
  NeedsSevereLowRepairGetIn               = 313
  NeedsSevereLowRepairIdle                = 314
  NeedsSevereLowRepairRequest             = 315
  NeedsSevereLowRepairSlopeReact          = 316
  NeutralFace                             = 317
  NothingToDoBoredEvent                   = 318
  NothingToDoBoredIdle                    = 319
  NothingToDoBoredIntro                   = 320
  NothingToDoBoredOutro                   = 321
  OnLearnedPlayerName                     = 322
  OnSawNewNamedFace                       = 323
  OnSawNewUnnamedFace                     = 324
  OnSawOldNamedFace                       = 325
  OnSawOldUnnamedFace                     = 326
  OnSpeedtapCozmoConfirm                  = 327
  OnSpeedtapFakeout                       = 328
  OnSpeedtapGameCozmoWinHighIntensity     = 329
  OnSpeedtapGameCozmoWinLowIntensity      = 330
  OnSpeedtapGamePlayerWinHighIntensity    = 331
  OnSpeedtapGamePlayerWinLowIntensity     = 332
  OnSpeedtapGetOut                        = 333
  OnSpeedtapHandCozmoWin                  = 334
  OnSpeedtapHandPlayerWin                 = 335
  OnSpeedtapIdle                          = 336
  OnSpeedtapRoundCozmoWinHighIntensity    = 337
  OnSpeedtapRoundCozmoWinLowIntensity     = 338
  OnSpeedtapRoundPlayerWinHighIntensity   = 339
  OnSpeedtapRoundPlayerWinLowIntensity    = 340
  OnSpeedtapTap                           = 341
  OnWaitForCubesMinigameSetup             = 342
  OnWiggle                                = 343
  OnboardingBirth                         = 344
  OnboardingCubeDockFail                  = 345
  OnboardingDiscoverCube                  = 346
  OnboardingDriveEnd                      = 347
  OnboardingDriveLoop                     = 348
  OnboardingDriveStart                    = 349
  OnboardingEyesOn                        = 350
  OnboardingHelloPlayer                   = 351
  OnboardingHelloWorld                    = 352
  OnboardingIdle                          = 353
  OnboardingIdleEnergy                    = 354
  OnboardingIdlePlay                      = 355
  OnboardingIdleRepair                    = 356
  OnboardingInteractWithCube              = 357
  OnboardingPreBirth                      = 358
  OnboardingReactToCube                   = 359
  OnboardingReactToCubePutDown            = 360
  OnboardingReactToFace                   = 361
  OnboardingSoundOnlyLiftEffortPickup     = 362
  OnboardingSoundOnlyLiftEffortPlaceLow   = 363
  OnboardingGetOut                        = 364
  OnboardingWakeUpDriveOffCharger         = 365
  PeekABooGetIn                           = 366
  PeekABooGetOutHappy                     = 367
  PeekABooGetOutSad                       = 368
  PeekABooHighIntensity                   = 369
  PeekABooIdle                            = 370
  PeekABooLowIntensity                    = 371
  PeekABooMedIntensity                    = 372
  PeekABooNoUserInteraction               = 373
  PeekABooShort                           = 374
  PeekABooSurprised                       = 375
  PetDetectionCat                         = 376
  PetDetectionDog                         = 377
  PetDetectionShort                       = 378
  PetDetectionShort_Cat                   = 379
  PetDetectionShort_Dog                   = 380
  PetDetectionSneeze                      = 381
  PickupHelperPreActionNamedFace          = 382
  PickupHelperPreActionUnnamedFace        = 383
  PlacedOnCharger                         = 384
  PopAWheelieInitial                      = 385
  PopAWheeliePreActionNamedFace           = 386
  PopAWheeliePreActionUnnamedFace         = 387
  PopAWheelieRealign                      = 388
  PopAWheelieRetry                        = 389
  PounceDriveEnd                          = 390
  PounceDriveLoop                         = 391
  PounceDriveStart                        = 392
  PounceFace                              = 393
  PounceFail                              = 394
  PounceGetOut                            = 395
  PounceInitial                           = 396
  PouncePounce                            = 397
  PounceSuccess                           = 398
  ProceduralLive                          = 399
  PutDownBlockKeepAlive                   = 400
  PutDownBlockPutDown                     = 401
  ReactToBlockPickupSuccess               = 402
  ReactToBlockRetryPickup                 = 403
  ReactToCliff                            = 404
  ReactToCliffDetectorStop                = 405
  ReactToFalling                          = 406
  ReactToImpact                           = 407
  ReactToObstacle                         = 408
  ReactToMotorCalibration                 = 409
  ReactToNewBlockAsk                      = 410
  ReactToNewBlockBig                      = 411
  ReactToNewBlockSmall                    = 412
  ReactToOnLeftSide                       = 413
  ReactToOnRightSide                      = 414
  ReactToPerchedOnBlock                   = 415
  ReactToPickup                           = 416
  ReactToPokeReaction                     = 417
  ReactToPokeStartled                     = 418
  ReactToUnexpectedMovement               = 419
  ReactToUnexpectedMovement_Severe_Energy = 420
  ReactToUnexpectedMovement_Severe_Repair = 421
  RepairFailMild                          = 422
  RepairFailSevere                        = 423
  RepairFixMildGetIn                      = 424
  RepairFixMildGetOut                     = 425
  RepairFixMildGetReady                   = 426
  RepairFixMildHeadDown                   = 427
  RepairFixMildHeadUp                     = 428
  RepairFixMildIdle                       = 429
  RepairFixMildLiftDown                   = 430
  RepairFixMildLiftUp                     = 431
  RepairFixMildLowerLift                  = 432
  RepairFixMildRaiseLift                  = 433
  RepairFixMildRoundReact                 = 434
  RepairFixMildWheelsBack                 = 435
  RepairFixMildWheelsForward              = 436
  RepairFixSevereGetIn                    = 437
  RepairFixSevereGetOut                   = 438
  RepairFixSevereGetReady                 = 439
  RepairFixSevereHeadDown                 = 440
  RepairFixSevereHeadUp                   = 441
  RepairFixSevereIdle                     = 442
  RepairFixSevereLiftDown                 = 443
  RepairFixSevereLiftUp                   = 444
  RepairFixSevereLowerLift                = 445
  RepairFixSevereRaiseLift                = 446
  RepairFixSevereRoundReact               = 447
  RepairFixSevereWheelsBack               = 448
  RepairFixSevereWheelsForward            = 449
  RepairIdleFullyRepaired                 = 450
  RepairPartRepaired_Head_Mild            = 451
  RepairPartRepaired_Lift_Mild            = 452
  RepairPartRepaired_Tread_Mild           = 453
  RequestGameInterrupt                    = 454
  RequestGameKeepAwayAccept0              = 455
  RequestGameKeepAwayAccept1              = 456
  RequestGameKeepAwayDeny0                = 457
  RequestGameKeepAwayDeny1                = 458
  RequestGameKeepAwayIdle0                = 459
  RequestGameKeepAwayIdle1                = 460
  RequestGameKeepAwayInitial0             = 461
  RequestGameKeepAwayInitial1             = 462
  RequestGameKeepAwayPreDrive0            = 463
  RequestGameKeepAwayPreDrive1            = 464
  RequestGameKeepAwayRequest0             = 465
  RequestGameKeepAwayRequest1             = 466
  RequestGameMemoryMatchAccept0           = 467
  RequestGameMemoryMatchAccept1           = 468
  RequestGameMemoryMatchDeny0             = 469
  RequestGameMemoryMatchDeny1             = 470
  RequestGameMemoryMatchIdle0             = 471
  RequestGameMemoryMatchIdle1             = 472
  RequestGameMemoryMatchInitial0          = 473
  RequestGameMemoryMatchInitial1          = 474
  RequestGameMemoryMatchPreDrive0         = 475
  RequestGameMemoryMatchPreDrive1         = 476
  RequestGameMemoryMatchRequest0          = 477
  RequestGameMemoryMatchRequest1          = 478
  RequestGamePickupFail                   = 479
  RequestGameSpeedTapAccept0              = 480
  RequestGameSpeedTapAccept1              = 481
  RequestGameSpeedTapDeny0                = 482
  RequestGameSpeedTapDeny1                = 483
  RequestGameSpeedTapIdle0                = 484
  RequestGameSpeedTapIdle1                = 485
  RequestGameSpeedTapInitial0             = 486
  RequestGameSpeedTapInitial1             = 487
  RequestGameSpeedTapPreDrive0            = 488
  RequestGameSpeedTapPreDrive1            = 489
  RequestGameSpeedTapRequest0             = 490
  RequestGameSpeedTapRequest1             = 491
  RollBlockInitial                        = 492
  RollBlockPreActionNamedFace             = 493
  RollBlockPreActionUnnamedFace           = 494
  RollBlockPutDown                        = 495
  RollBlockRealign                        = 496
  RollBlockRetry                          = 497
  RollBlockSuccess                        = 498
  SdkTextToSpeech                         = 499
  Shiver                                  = 500
  Shocked                                 = 501
  Singing_80bpm                           = 502
  Singing_100bpm                          = 503
  Singing_120bpm                          = 504
  Singing_GetIn                           = 505
  Singing_GetOut                          = 506
  Sleeping                                = 507
  SoftSparkUpgradeLift                    = 508
  SoftSparkUpgradeTracks                  = 509
  SoundOnlyLiftEffortPickup               = 510
  SoundOnlyLiftEffortPlaceHigh            = 511
  SoundOnlyLiftEffortPlaceLow             = 512
  SoundOnlyLiftEffortPlaceRoll            = 513
  SoundOnlyRamIntoBlock                   = 514
  SoundOnlyTurnSmall                      = 515
  SparkDrivingLoop                        = 516
  SparkDrivingStart                       = 517
  SparkDrivingStop                        = 518
  SparkFailure                            = 519
  SparkGetIn                              = 520
  SparkGetOut                             = 521
  SparkIdle                               = 522
  SparkPickupFinalCubeReaction            = 523
  SparkPickupInitialCubeReaction          = 524
  SparkSuccess                            = 525
  SpeedTapDrivingEnd                      = 526
  SpeedTapDrivingLoop                     = 527
  SpeedTapDrivingStart                    = 528
  StackBlocksSuccess                      = 529
  StartSleeping                           = 530
  SuccessfulWheelie                       = 531
  Surprise                                = 532
  TurtleRoll                              = 533
  UnitTestAnim                            = 534
  VC_Alrighty                             = 535
  VC_HowAreYouDoing_AllGood               = 536
  VC_Listening                            = 537
  VC_LookDownForLaser                     = 538
  VC_LookDownNoLaser                      = 539
  VC_NoFollowupCommand_NoFace             = 540
  VC_NoFollowupCommand_WithFace           = 541
  VC_Refuse_energy                        = 542
  VC_Refuse_repair                        = 543
  VC_Refuse_sparks                        = 544
  VC_StartledWakeup                       = 545
  WaitOnSideLoop                          = 546
  WorkoutPostLift_highEnergy              = 547
  WorkoutPostLift_lowEnergy               = 548
  WorkoutPostLift_mediumEnergy            = 549
  WorkoutPreLift_highEnergy               = 550
  WorkoutPreLift_lowEnergy                = 551
  WorkoutPreLift_mediumEnergy             = 552
  WorkoutPutDown_highEnergy               = 553
  WorkoutPutDown_lowEnergy                = 554
  WorkoutPutDown_lowEnergy_simple         = 555
  WorkoutPutDown_mediumEnergy             = 556
  WorkoutStrongLift_highEnergy            = 557
  WorkoutStrongLift_lowEnergy             = 558
  WorkoutStrongLift_mediumEnergy          = 559
  WorkoutTransition_highEnergy            = 560
  WorkoutTransition_lowEnergy             = 561
  WorkoutTransition_mediumEnergy          = 562
  WorkoutWeakLift_highEnergy              = 563
  WorkoutWeakLift_lowEnergy               = 564
  WorkoutWeakLift_mediumEnergy            = 565
  Count                                   = 566

Anki.Cozmo.AnimationTrigger = AnimationTrigger
del AnimationTrigger


class CubeAnimationTrigger(object):
  "Automatically-generated int_32 enumeration."
  Carrying                    = 0
  Connected                   = 1
  CubePouncePlayerLose        = 2
  CubePouncePlayerWin         = 3
  Dance_01                    = 4
  Dance_02                    = 5
  Dance_03                    = 6
  Dance_04                    = 7
  Dance_05                    = 8
  Dance_06                    = 9
  DanceFadeOff                = 10
  DrivingTo                   = 11
  FeedingBlank                = 12
  FeedingCyanCycle            = 13
  FeedingCyanSolid            = 14
  Flash                       = 15
  GatherCubesAllCubesInBeacon = 16
  GatherCubesCubeInBeacon     = 17
  GuardDogBeingMoved          = 18
  GuardDogBusted              = 19
  GuardDogOff                 = 20
  GuardDogSetup               = 21
  GuardDogSleeping            = 22
  GuardDogSuccessfullyFlipped = 23
  Interacting                 = 24
  InteractingBehaviorLock     = 25
  Onboarding                  = 26
  PyramidBaseBottom           = 27
  PyramidFlourish             = 28
  PyramidOnSideLocated        = 29
  PyramidOnSideNotLocated     = 30
  PyramidPickup               = 31
  PyramidSingle               = 32
  Sleep                       = 33
  SleepNoFade                 = 34
  SpeedTapWin                 = 35
  SpeedTapLose                = 36
  Visible                     = 37
  WakeUp                      = 38
  Workout                     = 39
  Count                       = 40

Anki.Cozmo.CubeAnimationTrigger = CubeAnimationTrigger
del CubeAnimationTrigger


